resource "openstack_networking_floatingip_v2" "float_ip_jump" {
  count = var.jump_vm_count
  pool = var.cloud_network
}

resource "openstack_networking_floatingip_associate_v2" "floating_ip_jump_attach" {
  count = var.jump_vm_count
  floating_ip = openstack_networking_floatingip_v2.float_ip_jump.*.address[count.index]
  port_id     = openstack_networking_port_v2.jump_ports.*.id[count.index]
}