
resource "openstack_networking_router_v2" "router_cloud" {
  name                = "${var.system_name}-router"
  admin_state_up      = true
  external_network_id = data.openstack_networking_network_v2.cloud_network.id
}

resource "openstack_networking_router_interface_v2" "router_interface_internal_app" {
  router_id = openstack_networking_router_v2.router_cloud.id
  subnet_id = openstack_networking_subnet_v2.network_subnet_internal_app.id
}

resource "openstack_networking_router_interface_v2" "router_interface_internal_db" {
  router_id = openstack_networking_router_v2.router_cloud.id
  subnet_id = openstack_networking_subnet_v2.network_subnet_internal_db.id
}
