resource "openstack_blockstorage_volume_v3" "volume_app" {
  count = length(openstack_compute_instance_v2.server_app)
  name   = "${var.system_name}-volumes-app-${format("%02d", count.index + 1)}"
  size = var.volume_app
}

resource "openstack_compute_volume_attach_v2" "volume_attach_app" {
  count = length(openstack_compute_instance_v2.server_app)
  instance_id = openstack_compute_instance_v2.server_app.*.id[count.index]
  volume_id   = openstack_blockstorage_volume_v3.volume_app.*.id[count.index]
}
